![logo](app/src/main/res/mipmap-xxxhdpi/ic_launcher.webp)

# sBrowser

* <b>Git:</b> https://github.com/heepie/sBrowser
* <b>Author:</b> Carles Sentis  
* <b>License:</b> MIT
* <b>Latest Version:</b> 3.4
* <b>Release Date:</b> 2024

## General Information

sBrowser is a simple Internet browser for Android devices. Originally developed for teaching purposes in a workshop at 091 Labs (091labs.com), it has evolved into a feature-rich yet lightweight browsing solution.

### Authors

Carles Sentis (me@codeskraps.com)

## Features

- Ad-blocking functionality
- Bookmark management with thumbnails
- HTML5 video support
- Customizable user agent
- Privacy-focused with encrypted search options
- Material Design user interface
- Support for HTTPS

### Install

[![Get it on Google Play](https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png)](https://play.google.com/store/apps/details?id=com.codeskraps.sbrowser_new)

Or download the latest APK from GitHub releases.

## ChangeLog

v3.4
- Updated to modern Android architecture
- Material 3 design implementation
- Improved performance and stability
- Support for newer Android versions

v2.7
 - Build in AdBlocker
 - Bug fix
 
v2.6
 - Added menu button
 
v.2.5
 - Stop browser when pushed to the background
 
v2.4
 - Update to Material Design
 - More support for native Html5 video playback
 
v2.3
 - More support for native Html5 video playback
 
v2.2
 - Improve rotation
 - Plays Html5 videos in native player in some websites
 
v2.1 
 - Issue on rotate loading home screen
 
v2.0 
 - Pro Account
 - Sync Bookmarks to sBrowser server
 
v1.7.2 
 - Issue with menu button not showing in some devices
 - Better tablet support
 - NEW PERMISSION (com.android.vending.BILLING) NOT YET IMPLEMENTED
 
v1.7.1
 - Re-enable Refresh/Stop button functionality
 
v1.7
 - Hardware acceleration allowed for YouTube handling and similar
 - Some bug fixes and improvements
 
v1.6.6
 - Removed from recent apps
 - Default home page "https://encrypted.google.com/"
 - Default search engine "https://encrypted.google.com/" 
 
v1.6.4
 - Opens https links from third party apps
 
v1.6.3
 - Added feedback menu button
 - Added top bar in preference/bookmark screens
 
v1.6.2
 - Compleate fixed bug in the bookmarks
 
v1.6.1
 - Fixed bug of out of memory error on bookmarks
 
v1.6
 - Added edit/delete bookmarks
 - Bookmarks now show thumbnail
 
v1.5 
 - Added set user agent in preferences
 - Fixed crashes when pressing menu option while still loading
 - No need to enter http or http while changing web address
 - Other improvements in bookmark activity
 
v1.4.3 
 - Removed back & quit buttons from bar
 - Bar moved to the right on landscape
 - Other minor changes
 
v1.3.3 
 - Opens market links
 
v1.3.2 
 - Bar moved to the bottom
 - Other minor improvements
 
v1.3.1 
 - Changed empty picture of bookmarks
 
v1.3 
 - Bookmarks view change to GridView
 
v1.2 
 - Icon added to the app drawer
 
v1.1 
 - Added bookmarks

## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details.
